<template>
  <div id="backdrop" @click.self="closeModal">
    <div class="container-fluid h-100 m-0">
      <div class="row h-100">
        <div class="col-12 col-lg-9">
          <VAImage :athleteId="athleteId" @closeModal="closeModal" />
        </div>
        <div class="col-12 col-lg-3">
          <VAInfo :athleteId="athleteId" />
        </div>
      </div>
    </div>
  </div>
</template>

<script lang="ts">
import { defineComponent } from "vue";
import VAImage from "./VAImage.vue";
import VAInfo from "./VAInfo.vue";

export default defineComponent({
  components: {
    VAImage,
    VAInfo,
  },
  props: {
    athleteId: Number,
  },
  methods: {
    closeModal() {
      this.$emit("closeModal");
    },
  },
});
</script>

<style scoped>
#backdrop {
  top: 0;
  position: fixed;
  background: rgba(0, 0, 0, 0.5);
  width: 100%;
  height: 100%;
  z-index: 10001;
  margin: 0;
}
</style>
